### Hierarchy

- ColorArgb

## Index

### Constructors

- constructor

### Properties

- alpha
- blue
- green
- red

### Methods

- _fromArgb
- _fromRgb
- copyFrom
- toArgb
- toRgb
- fromArgb
- fromRgb

## Constructors

### constructor

- new ColorArgb(red?: number, green?: number, blue?: number, alpha?: number): ColorArgb

- - Defined in lib/starling/extensions/ColorArgb.d.ts:8

  #### Parameters

  - ##### Optional red: number

  - ##### Optional green: number

  - ##### Optional blue: number

  - ##### Optional alpha: number

  #### Returns ColorArgb

## Properties

### alpha

alpha: number

- Defined in lib/starling/extensions/ColorArgb.d.ts:5

### blue

blue: number

- Defined in lib/starling/extensions/ColorArgb.d.ts:6

### green

green: number

- Defined in lib/starling/extensions/ColorArgb.d.ts:7

### red

red: number

- Defined in lib/starling/extensions/ColorArgb.d.ts:8

## Methods

### _fromArgb

- _fromArgb(color: number): void

- - Defined in lib/starling/extensions/ColorArgb.d.ts:10

  #### Parameters

  - ##### color: number

  #### Returns void

### _fromRgb

- _fromRgb(color: number): void

- - Defined in lib/starling/extensions/ColorArgb.d.ts:11

  #### Parameters

  - ##### color: number

  #### Returns void

### copyFrom

- copyFrom(argb: ColorArgb): void

- - Defined in lib/starling/extensions/ColorArgb.d.ts:12

  #### Parameters

  - ##### argb: ColorArgb

  #### Returns void

### toArgb

- toArgb(): number

- - Defined in lib/starling/extensions/ColorArgb.d.ts:13

  #### Returns number

### toRgb

- toRgb(): number

- - Defined in lib/starling/extensions/ColorArgb.d.ts:14

  #### Returns number

### Static fromArgb

- fromArgb(color: number): ColorArgb

- - Defined in lib/starling/extensions/ColorArgb.d.ts:15

  #### Parameters

  - ##### color: number

  #### Returns ColorArgb

### Static fromRgb

- fromRgb(color: number): ColorArgb

- - Defined in lib/starling/extensions/ColorArgb.d.ts:16

  #### Parameters

  - ##### color: number

  #### Returns ColorArgb

Generated using TypeDoc